---@meta

---@class ABP_Balloon_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Sphere UStaticMeshComponent
---@field PhysicsConstraint UPhysicsConstraintComponent
---@field Cable UCableComponent
---@field OtherPrimitiveComponent UPrimitiveComponent
---@field TargetActor AActor
---@field ['Balloon Attach Hit'] FHitResult
---@field VehicleBaseForce double
---@field VehicleDeclineForce double
---@field DeclineAmount double
---@field DeclineTimer FTimerHandle
---@field ElevationTime float
---@field ['Balloon Handle'] ABP_PlayerAttachedPhysicsHandle_C
---@field Attached boolean
---@field CurrentForwardBackValue double
local ABP_Balloon_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_Balloon_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_Balloon_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Balloon_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_Balloon_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Balloon_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_Balloon_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_Balloon_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_Balloon_C:BlockInteraction(Player, BlockInteraction) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Balloon_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_Balloon_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_Balloon_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_Balloon_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_Balloon_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_Balloon_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Balloon_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_Balloon_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_Balloon_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_Balloon_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Balloon_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_Balloon_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_Balloon_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_Balloon_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_Balloon_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_Balloon_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_Balloon_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_Balloon_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function ABP_Balloon_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_Balloon_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Balloon_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_Balloon_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_Balloon_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_Balloon_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_Balloon_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_Balloon_C:AddImpulse(ImpulseStrength, Success) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Balloon_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_Balloon_C:GetDisplayName(Success, DisplayName) end
---@param Success boolean
function ABP_Balloon_C:ShouldUseHoldTransform(Success) end
---@param IsPickupable boolean
function ABP_Balloon_C:IsPickupable(IsPickupable) end
function ABP_Balloon_C:InitialPush() end
---@param CurrentForwardBackValue double
function ABP_Balloon_C:BalloonPush(CurrentForwardBackValue) end
function ABP_Balloon_C:OnRep_CurrentForwardBackValue() end
---@param Success boolean
function ABP_Balloon_C:IsAllVariablesSet(Success) end
---@param Hit FHitResult
function ABP_Balloon_C:Attach(Hit) end
ABP_Balloon_C['OnRep_Balloon Handle'] = function(self, ) end
ABP_Balloon_C['OnRep_Balloon Attach Hit'] = function(self, ) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Balloon_C:InpActEvt_IA_MoveBalloon_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Balloon_C:InpActEvt_IA_ReleaseBalloon_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Balloon_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Balloon_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_Balloon_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_Balloon_C:StartCooking(Heat) end
function ABP_Balloon_C:StopCooking() end
---@param DeltaSeconds float
function ABP_Balloon_C:ReceiveTick(DeltaSeconds) end
---@param BalloonAttachHit FHitResult
---@param BalloonHandle ABP_PlayerAttachedPhysicsHandle_C
function ABP_Balloon_C:AttachSetup(BalloonAttachHit, BalloonHandle) end
function ABP_Balloon_C:StartDecline() end
function ABP_Balloon_C:Die() end
function ABP_Balloon_C:ReceiveDestroyed() end
function ABP_Balloon_C:ReleaseBalloon() end
---@param EntryPoint int32
function ABP_Balloon_C:ExecuteUbergraph_BP_Balloon(EntryPoint) end


